## emacspeak 39.0+dfsg

=== Makefile ===
# $Id: Makefile 8533 2013-11-12 16:32:20Z tv.raman.tv $
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak,  TTS,Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# $Date: 2007-06-23 10:16:54 -0700 (Sat, 23 Jun 2007) $ |
#  $Revision: 4659 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2003, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{ Installation instructions:

# If you're reading this, then you've already unpacked the tar archive
# and extracted the sources in a directory.
# cd to the  directory where you placed the sources.
# This directory is referred to henceforth as EMACSPEAK_DIR.
# and then type
#    make config
# Now type
#    make emacspeak
# to compile the files, then (as superuser)
#    make install
# to install them.
#
# By default, files are installed in subdirectories of /usr --
# that is, executables in /usr/bin, .info files in
# /usr/info, and compiled files in /usr/share/lib/emacs/site-lisp/emacspeak.
# If you want them somewhere else, you may add a "prefix=" parameter to the
# make install command.  For example, to place files in subdirectories of
# /usr/local instead of /usr, use this command:
#    make prefix=/usr/local install
#
#Note: The intent is to place emacspeak in a subdirectory of site-lisp.
#Newer emacsuns have this under /usr/local/share (or /usr/share)
#older emacsuns used /usr/local/lib/...
# emacspeak uses tclx --extended tcl-- for the synthesizer server.
# Note:  Extended TCL  --tclx-- is *not* tclsh
# Setting up synthesizer server:
# Emacspeak comes with two servers written in TCL:
# 1) dtk-exp for the Dectalk Express
# emacspeak uses the shell environment variable DTK_PROGRAM to determine
# which server to use, and the shell environment variable DTK_PORT
# to determine the port where the Dectalk is connected.
# Examples: If using csh or tcsh
#    setenv DTK_PROGRAM "dtk-exp"
# or if using bash
#    export DTK_PROGRAM=dtk-exp
# By default the port is /dev/tty00 on ultrix/osf1, and /dev/ttyS0 on linux.
#
# Finally, make sure that tcl  is present in your search path by typing
#    which tcl
# Assuming you're using dtk-exp:
# Check that the dtk-exp can be run by typing
# <emacspeak-dir>/dtk-exp
# You should hear the Dectalk speak and get a TCL prompt if everything is okay.
# Next, check that your serial port is working correctly, and that your stty
# settings are correct. You can do this by executing the following sequence
# of TCL commands in the TCL session you just started:
#q {this is a test. }; d
# should speak the text within the braces.
#    s
# The above command stops speech.
# You should see a TCL prompt when you execute it.
# If things appear to hang when you execute tts_stop
# i.e. you don't see a TCL prompt (%) then
# a) The serial cable conecting your speech device is flaky
# b) Your serial port is flaky
# c) The stty settings on the port are incorrect for your
# system
#In the case of (c) on solaris systems,
#try setting environment variable DTK_OS to solaris.
# In the case of (c) please report the problem
# quit this tcl session by typing ctrl-d
#
# To use emacspeak you can do one of the following:
# Add the line
# (load-file (expand-file-name "<EMACSPEAK_DIR>/emacspeak-setup.el"))
# to the start of your .emacs
# This will start emacspeak every time you use emacs
# or alternatively set the following alias.
# If you use csh or tcsh
# alias emacspeak "emacs -q -l <EMACSPEAK_DIR>/emacspeak-setup.el -l $HOME/.emacs"
# If you use bash (the default under linux)
# alias emacspeak="emacs -q -l <EMACSPEAK_DIR>/emacspeak-setup.el -l $HOME/.emacs"
# Note: in all of the above you should replace <EMACSPEAK_DIR> with your
# site-specific value. The distribution also creates a shell executable
# emacspeak.sh that does the same thing as the alias shown above.

# }}}
# {{{  Site Configuration

##### Site  Configuration #####
MAKE=make
prefix = /usr
# where executables go
bindir = ${prefix}/bin
# where info files should go
infodir = ${prefix}/share/info
# where the emacspeak library directory should go
#for older emacsuns use /usr/lib
libparentdir = ${prefix}/share/emacs/site-lisp
# where  all emacspeak  files should go
libdir =$(libparentdir)/emacspeak
#directory where we are building
SRC = $(shell pwd)
# How to install files
INSTALL = install
CP=cp

# }}}
############## no user servicable parts beyond this point ###################
# {{{ setup distribution

# source files to distribute
ID = README
SAWFISH=sawfish/*.jl sawfish/sawfishrc
UGUIDE=user-guide/*.html user-guide/*.sgml
IGUIDE=install-guide/*.html install-guide/*.sgml
TABLE_SAMPLES=etc/tables/*.tab etc/tables/*.dat etc/tables/*.html
FORMS =etc/forms/*.el
REALAUDIO=realaudio
SHOUTCAST=shoutcast
ECI=servers/linux-outloud
PYLIB=servers/python
PYFILES=servers/python/*.py
ESPEAK=servers/linux-espeak/tclespeak.cpp \
servers/linux-espeak/Makefile\

DTKTTS=servers/software-dtk/tcldtk.c \
servers/software-dtk/DTK \
servers/software-dtk/Makefile
JS=js/*.js  js/jsl.conf js/Makefile
OUTLOUD=${ECI}/eci.ini \
${ECI}/*.h \
${ECI}/*.cpp \
${ECI}/VIAVOICE ${ECI}/ALSA ${ECI}/asoundrc \
${ECI}/Makefile

NEWS = etc/NEWS*  etc/COPYRIGHT \
etc/remote.txt etc/FAQ etc/HELP etc/applications.html   etc/tips.html
SOUNDS=sounds/default-8k sounds/emacspeak.mp3 \
sounds/cartoon-22k-mono sounds/chimes-stereo 

TCL_PROGRAMS = servers/.servers \
servers/dtk-exp  servers/ssh-dtk-exp\
servers/dtk-soft \
servers/espeak \
servers/mac \
servers/outloud  servers/ssh-outloud servers/32-outloud \
servers/tts-lib.tcl \
servers/speech-server
ELISP = lisp/*.el \
emacspeak-pkg.el \
lisp/g-client \
lisp/xml-forms/*.xml \
lisp/Makefile
TEMPLATES = etc/emacspeak.sh.def etc/Makefile
MISC=etc/extract-table.pl etc/last-log.pl \
etc/pdf2text etc/doc2text \
etc/xls2html etc/ppt2html  \
etc/ocr-client.pl \
etc/emacspeak.xpm etc/emacspeak.jpg

INFO = info/Makefile info/*.texi info/add-css.pl
XSL=xsl
DISTFILES =${ELISP} ${JS} ${TEMPLATES}     $(TCL_PROGRAMS) ${XSL} \
${SAWFISH} ${OUTLOUD} ${DTKTTS} ${ESPEAK} \
${PYLIB} \
${INFO} ${UGUIDE} ${IGUIDE} ${NEWS} ${MISC} Makefile

# }}}
# {{{  User level targets emacspeak info print

emacspeak:
	test -f  lisp/emacspeak-loaddefs.el || ${MAKE} config
	cd lisp; $(MAKE)
	touch   $(ID)
	chmod 644 $(ID)
	@echo "Now check installation of  the speech server. "
	@echo "See Makefile for instructions."
	@echo "See the NEWS file for a  summary of new features --control e cap n in Emacs"
	@echo "See the FAQ for Frequently Asked Questions -- control e cap F in Emacs"
	@echo "See Emacspeak Customizations for customizations -- control e cap C in Emacs"
	@echo "Use C-h p in Emacs for a package overview"
	@echo "Make sure you read the Emacs info pages"

info:
	cd info; $(MAKE) -k

print:
	@echo "Please change to the info directory and type make print"

# }}}
# {{{  Maintainance targets tar  dist



README: force
	@rm -f README
	@echo "Emacspeak  Revision `svnversion .`" > $(ID)
	@echo "Distribution created by `whoami` on `hostname`" >> $(ID)
	@echo "Unpack the  distribution And type make config " >> $(ID)
	@echo "Then type make" >> $(ID)
	@echo "See the Makefile for details. " >> $(ID)


force:

EXCLUDES=--exclude='*/CVS' --exclude='*/.svn' \
--exclude='*.o' --exclude='*.so' --exclude='*/.libs'

tar:
	make ${ID}
	tar cvf  emacspeak.tar $(EXCLUDES) $(DISTFILES)   $(ID) \
			 ${TABLE_SAMPLES} ${REALAUDIO}  ${FORMS} \
	${SOUNDS}

dist: $(DISTFILES)
	$(MAKE) tar

# }}}
# {{{ User level target--  config

config:
	cd etc; $(MAKE) config  #SRC=$(SRC)
	cd lisp; $(MAKE) config
	@echo "Configured emacspeak in directory $(SRC). Now type make emacspeak"

# }}}
# {{{  user level target-- install uninstall

install:
	$(MAKE) config SRC=$(libdir)
	  $(INSTALL)  -d $(DESTDIR)$(libparentdir)
	  $(INSTALL) -d $(DESTDIR)$(libdir)
	touch $(DESTDIR)$(libdir)/.nosearch
	  $(INSTALL) -d $(DESTDIR)$(libdir)/lisp
	$(INSTALL) -d $(DESTDIR)$(libdir)/lisp/xml-forms
	$(INSTALL) -d $(DESTDIR)$(libdir)/lisp/g-client
	$(INSTALL) -d $(DESTDIR)$(libdir)/lisp/g-client/python
	$(INSTALL) -d $(DESTDIR)$(libdir)/etc
	$(INSTALL) -d $(DESTDIR)$(libdir)/sawfish
	$(INSTALL) -d $(DESTDIR)$(libdir)/xsl
	$(INSTALL) -d $(DESTDIR)$(libdir)/user-guide
	$(INSTALL) -d $(DESTDIR)$(libdir)/install-guide
	$(INSTALL) -m 0644  ${ID} $(DESTDIR)$(libdir)
	  $(INSTALL) -m 0644  lisp/*.el lisp/*.elc  $(DESTDIR)$(libdir)/lisp
	$(INSTALL) -m 0644  lisp/xml-forms/*.xml   $(DESTDIR)$(libdir)/lisp/xml-forms
	$(INSTALL) -m 0644  lisp/g-client/*.el    $(DESTDIR)$(libdir)/lisp/g-client
	$(INSTALL) -m 0644  lisp/g-client/*.elc    $(DESTDIR)$(libdir)/lisp/g-client
	$(INSTALL) -m 0644  lisp/g-client/*.xsl    $(DESTDIR)$(libdir)/lisp/g-client
	$(INSTALL) -m 0644  lisp/g-client/python/*.py    $(DESTDIR)$(libdir)/lisp/g-client/python
	$(INSTALL) -m 0644  sawfish/*.jl sawfish/sawfishrc   $(DESTDIR)$(libdir)/sawfish
	$(INSTALL) -m 0644  xsl/*.xsl    $(DESTDIR)$(libdir)/xsl
	$(INSTALL) -m 0644  ${UGUIDE}   $(DESTDIR)$(libdir)/user-guide
	$(INSTALL) -m 0644  ${IGUIDE}   $(DESTDIR)$(libdir)/install-guide
	$(INSTALL) -d $(DESTDIR)$(libdir)/sounds
	$(INSTALL) -d $(DESTDIR)$(libdir)/js
	$(INSTALL)  -m 644 ${JS}  $(DESTDIR)$(libdir)/js
	$(INSTALL) -d $(DESTDIR)$(libdir)/servers
	$(INSTALL) -d $(DESTDIR)$(libdir)/servers/python
	$(INSTALL) -d $(DESTDIR)$(libdir)/servers/linux-outloud
	$(INSTALL)  -m 755 ${OUTLOUD}  $(DESTDIR)$(libdir)/servers/linux-outloud
	cp   ${PYFILES}  $(DESTDIR)$(libdir)/servers/python
	$(INSTALL) -d $(DESTDIR)$(libdir)/servers/linux-espeak
	$(INSTALL)  -m 755 ${ESPEAK}  $(DESTDIR)$(libdir)/servers/linux-espeak
	$(INSTALL) -d $(DESTDIR)$(libdir)/servers/software-dtk
	$(INSTALL)  -m 755 ${DTKTTS}  $(DESTDIR)$(libdir)/servers/software-dtk
	$(INSTALL)  -m 755 ${TCL_PROGRAMS}  $(DESTDIR)$(libdir)/servers
	$(INSTALL) -m 0644   ${NEWS}   $(DESTDIR)$(libdir)/etc
	cp   ${MISC}   $(DESTDIR)$(libdir)/etc
	$(CP) -r $(SOUNDS) $(DESTDIR)$(libdir)/sounds
	chmod -R go+rX  $(DESTDIR)$(libdir)/sounds
	$(CP) -r $(REALAUDIO) $(DESTDIR)$(libdir)
	chmod -R go+rX  $(DESTDIR)$(libdir)/realaudio
	$(INSTALL) -d $(DESTDIR)$(libdir)/etc/forms
	$(INSTALL)  -m 0644 $(FORMS) $(DESTDIR)$(libdir)/etc/forms
	$(INSTALL) -d $(DESTDIR)$(libdir)/etc/tables
	$(INSTALL)  -m 0644 $(TABLE_SAMPLES) $(DESTDIR)$(libdir)/etc/tables
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) -m 0755  etc/emacspeak.sh $(DESTDIR)$(bindir)/emacspeak
	$(INSTALL) -d $(DESTDIR)$(infodir)
	cd info; \
	$(MAKE) install DESTDIR="$(DESTDIR)" infodir="$(infodir)"

uninstall:
	rm -rf $(infodir)/emacspeak.info* $(bindir)/emacspeak
	  rm -rf $(libdir)


# }}}
# {{{  complete build

#targets
#the complete build
all: emacspeak

# }}}
# {{{  user level target-- clean

clean:
	cd lisp; $(MAKE) clean
		cd info; $(MAKE) clean

# }}}
# {{{ labeling releases

#label  releases when ready
LABEL=
MSG="Releasing ${LABEL}"

label: $(DISTFILES)
	rm -f lisp/emacspeak-loaddefs.el lisp/cus-load.el
	svn commit  -m "${MSG}"
	svn cp https://emacspeak.googlecode.com/svn/trunk https://emacspeak.googlecode.com/svn/tags/release-${LABEL}

release: #supply LABEL=NN.NN

=== lisp/Makefile ===
# $Id: Makefile 8580 2013-11-25 23:35:01Z tv.raman.tv $
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak, Dectalk, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# $Date: 2007-06-24 15:56:04 -0700 (Sun, 24 Jun 2007) $ |
#  $Revision: 4673 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2003, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make rules

# what emacs is called on your system
EMACS = emacs
SRC=".."
# How to run in batch mode
BATCH = -batch -q -no-site-file   -eval '(setq vc-handled-backends nil\
byte-compile-warnings t)'
DEPS=-l $(SRC)/lisp/emacspeak-load-path.el \
-l $(SRC)/lisp/emacspeak-loaddefs.el \
-l $(SRC)/lisp/emacspeak-cus-load.el \
 -l $(SRC)/lisp/g-client/g-load-path.el

COMPILE =  -f batch-byte-compile
# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<
# }}}
# {{{  grouping files into dependent modules

#The various modules:
DTK_OBJECTS = acss-structure.elc \
dtk-speak.elc		dectalk-voices.elc\
plain-voices.elc \
outloud-voices.elc multispeech-voices.elc mac-voices.elc\
espeak-voices.elc dtk-interp.elc dtk-unicode.elc

SPEAK_OBJECTS =   \
	emacspeak-speak.elc  \
        emacspeak-actions.elc \
	voice-setup.elc \
	emacspeak-personality.elc \
        emacspeak-pronounce.elc \
	emacspeak-sounds.elc

CORE_OBJECTS =  \
	emacspeak.elc \
	emacspeak-setup.elc \
	emacspeak-advice.elc\
	emacspeak-keymap.elc\
	emacspeak-fix-interactive.elc\
emacspeak-re-builder.elc \
	emacspeak-redefine.elc\
	emacspeak-replace.elc \
        emacspeak-table.elc \
        emacspeak-table-ui.elc \
	emacspeak-tabulate.elc \
cd-tool.elc \
amixer.elc \
nm.elc \
emacspeak-add-log.elc \
emacspeak-alsaplayer.elc \
emacspeak-amark.elc \
emacspeak-analog.elc \
emacspeak-ansi-color.elc \
emacspeak-apt-sources.elc \
emacspeak-apt-utils.elc \
emacspeak-arc.elc \
emacspeak-auctex.elc \
emacspeak-autoload.el \
emacspeak-aumix.elc \
emacspeak-babel.elc \
emacspeak-bbdb.elc \
emacspeak-bibtex.elc \
emacspeak-bookmark.elc \
emacspeak-bookshare.elc \
emacspeak-browse-kill-ring.elc \
emacspeak-bs.elc \
emacspeak-buff-menu.elc \
emacspeak-c.elc \
emacspeak-calc.elc \
emacspeak-calculator.elc \
emacspeak-calendar.elc \
emacspeak-cedet.elc \
emacspeak-checkdoc.elc \
emacspeak-cmuscheme.elc \
emacspeak-compile.elc \
congrats.elc \
emacspeak-cperl.elc \
emacspeak-custom.elc \
emacspeak-daisy.elc \
emacspeak-damlite.elc \
emacspeak-dbus.elc \
emacspeak-dictation.elc \
emacspeak-dictionary.elc \
emacspeak-desktop.elc \
emacspeak-diff-mode.elc \
emacspeak-dired.elc \
emacspeak-dismal.elc \
emacspeak-dmacro.elc \
emacspeak-epub.elc \
emacspeak-ecb.elc \
emacspeak-ein.elc \
emacspeak-ediary.elc \
emacspeak-ediff.elc \
emacspeak-eww.elc \
flite-voices.elc \
emacspeak-eclim.elc \
emacspeak-enriched.elc \
emacspeak-emms.elc \
emacspeak-entertain.elc \
emacspeak-eperiodic.elc \
emacspeak-erc.elc \
emacspeak-eshell.elc \
emacspeak-ess.elc \
emacspeak-eterm.elc \
emacspeak-eudc.elc \
emacspeak-facemenu.elc \
emacspeak-filtertext.elc \
emacspeak-find-dired.elc \
emacspeak-ftf.elc \
emacspeak-find-func.elc \
emacspeak-finder.elc \
emacspeak-flyspell.elc \
emacspeak-folding.elc \
emacspeak-forms.elc \
emacspeak-generic.elc \
emacspeak-gnuplot.elc \
emacspeak-gnus.elc\
emacspeak-gomoku.elc \
emacspeak-google.elc \
emacspeak-gridtext.elc \
emacspeak-gtags.elc \
emacspeak-gud.elc \
emacspeak-hide.elc \
emacspeak-hideshow.elc \
emacspeak-ibuffer.elc \
emacspeak-ido.elc \
emacspeak-imenu.elc \
emacspeak-info.elc\
emacspeak-ispell.elc \
emacspeak-iswitchb.elc \
emacspeak-jabber.elc \
emacspeak-jde.elc \
emacspeak-js2.elc \
emacspeak-jss.elc \
emacspeak-kite.elc \
emacspeak-kmacro.elc  \
emacspeak-librivox.elc \
emacspeak-madplay.elc \
emacspeak-magit.elc \
emacspeak-m-player.elc \
emacspeak-make-mode.elc \
emacspeak-man.elc \
emacspeak-message.elc \
emacspeak-metapost.elc \
emacspeak-midge.elc \
emacspeak-mpg123.elc \
emacspeak-muse.elc \
emacspeak-mspools.elc \
emacspeak-net-utils.elc \
emacspeak-newsticker.elc \
emacspeak-ocr.elc \
emacspeak-org.elc \
emacspeak-npr.elc \
emacspeak-nxml.elc \
emacspeak-outline.elc \
emacspeak-pcl-cvs.elc \
emacspeak-perl.elc \
emacspeak-php-mode.elc \
emacspeak-pianobar.elc \
emacspeak-proced.elc \
emacspeak-psgml.elc \
emacspeak-py.elc \
emacspeak-python.elc \
emacspeak-re-builder.elc \
emacspeak-reftex.elc \
emacspeak-rpm-spec.elc \
emacspeak-remote.elc \
emacspeak-rmail.elc \
emacspeak-rpm.elc  \
emacspeak-ruby.elc \
emacspeak-sawfish.elc \
emacspeak-ses.elc \
emacspeak-setup.el \
emacspeak-sgml-mode.elc \
emacspeak-sh-script.elc \
emacspeak-sigbegone.elc \
emacspeak-solitaire.elc \
emacspeak-speedbar.elc \
emacspeak-sql.elc \
emacspeak-supercite.elc \
emacspeak-sudoku.elc \
emacspeak-swbuff.elc \
emacspeak-etable.elc \
emacspeak-tapestry.elc \
emacspeak-tar.elc \
emacspeak-tcl.elc \
emacspeak-tdtd.elc \
emacspeak-tempo.elc \
emacspeak-tetris.elc \
emacspeak-texinfo.elc \
emacspeak-tnt.elc \
emacspeak-todo-mode.elc \
emacspeak-twittering.elc \
emacspeak-url-template.elc \
emacspeak-view.elc \
emacspeak-vm.elc \
emacspeak-w3.elc \
emacspeak-w3m.elc \
emacspeak-wdired.elc \
emacspeak-we.elc \
emacspeak-webspace.elc \
emacspeak-webutils.elc \
emacspeak-websearch.elc \
emacspeak-widget.elc \
emacspeak-windmove.elc \
emacspeak-winring.elc \
emacspeak-woman.elc \
emacspeak-wizards.elc  \
emacspeak-xml-shell.elc \
emacspeak-xslide.elc  \
emacspeak-xslt.elc \
emacspeak-xslt-process.elc   \
emacspeak-zinf.elc

ADDON_OBJECTS= tapestry.elc   stack-f.elc  xml-parse.elc toy-braille.elc tetris.elc

OBJECTS = $(DTK_OBJECTS) $(SPEAK_OBJECTS) $(CORE_OBJECTS) $(ADDON_OBJECTS)
# }}}
# {{{  User level targets all

all: $(OBJECTS)
	cd g-client; $(MAKE)

force:

config: emacspeak-loaddefs.el emacspeak-cus-load.el emacspeak-finder-inf.el
lint:
	echo "." |\
emacs -batch -q \
-l advice.el -l emacspeak-load-path.el  -l emacspeak-loaddefs.el \
-f elint-directory 
# }}}
# {{{build time target --loaddefs

emacspeak-finder-inf.el: force
	$(EMACS) $(BATCH) -l emacspeak-load-path.el  -l emacspeak-finder.el  -f emacspeak-finder-compile-keywords

emacspeak-loaddefs.el: force
	echo ";;;Auto generated" > emacspeak-loaddefs.el
	$(EMACS) $(BATCH)  -l ./emacspeak-load-path.el  \
	-l ./emacspeak-autoload.el  \
	-f emacspeak-auto-generate-autoloads

emacspeak-cus-load.el: force
	$(EMACS) $(BATCH) -l ./emacspeak-load-path.el  -l cus-dep -l ./emacspeak-autoload.el \
-f emacspeak-auto-custom-make-dependencies "."
	mv cus-load.el emacspeak-cus-load.el

# }}}
# {{{  Make rules for the various modules

# Do this in this brain-dead way because different makes do pattern
# rules differently. grumble grumble...
#dtk module:
#dtk-interp contains the interface to the interpreter
#Modules using functions from the dtk module should depend on dtk-speak

dtk-interp.elc: dtk-interp.el
dtk-unicode.elc: dtk-unicode.el
dtk-speak.elc: dtk-speak.el  dtk-interp.elc dtk-unicode.elc
acss-structure.elc: acss-structure.el
dectalk-voices.elc: dectalk-voices.el voice-setup.elc
outloud-voices.elc: outloud-voices.el voice-setup.elc
plain-voices.elc: plain-voices.el voice-setup.elc
multispeech-voices.elc: multispeech-voices.el voice-setup.elc
mac-voices.elc: mac-voices.el voice-setup.elc
espeak-voices.elc: espeak-voices.el voice-setup.elc
voice-setup.elc: voice-setup.el acss-structure.elc
emacspeak-alsaplayer.elc: emacspeak-alsaplayer.el
ommacspeak-amark.elc: emacspeak-amark.el
cd-tool.elc: cd-tool.el
nm.elc: nm.el
amixer.elc: amixer.el
shr-url.elc: shr-url.el
emacspeak-actions.elc: emacspeak-actions.el
emacspeak-add-log.elc: emacspeak-add-log.el dtk-speak.elc voice-setup.elc
emacspeak-advice.elc: emacspeak-advice.el dtk-speak.elc voice-setup.elc
emacspeak-analog.elc: emacspeak-analog.el dtk-speak.elc voice-setup.elc
emacspeak-ansi-color.elc: emacspeak-ansi-color.el dtk-speak.elc voice-setup.elc
emacspeak-apt-sources.elc: emacspeak-apt-sources.el dtk-speak.elc voice-setup.elc
emacspeak-apt-utils.elc: emacspeak-apt-utils.el dtk-speak.elc voice-setup.elc
emacspeak-arc.elc: emacspeak-arc.el dtk-speak.elc voice-setup.elc
emacspeak-auctex.elc: emacspeak-auctex.el dtk-speak.elc voice-setup.elc
emacspeak-aumix.elc: emacspeak-aumix.el dtk-speak.elc voice-setup.elc
emacspeak-autoload.elc: emacspeak-autoload.el
emacspeak-babel.elc: emacspeak-babel.el dtk-speak.elc voice-setup.elc
emacspeak-bbdb.elc: emacspeak-bbdb.el dtk-speak.elc voice-setup.elc
emacspeak-bibtex.elc: emacspeak-bibtex.el dtk-speak.elc voice-setup.elc
emacspeak-bookmark.elc: emacspeak-bookmark.el dtk-speak.elc voice-setup.elc
emacspeak-bookshare.elc: emacspeak-bookshare.el dtk-speak.elc voice-setup.elc emacspeak-webutils.elc
emacspeak-browse-kill-ring.elc: emacspeak-browse-kill-ring.el dtk-speak.elc voice-setup.elc
emacspeak-bs.elc: emacspeak-bs.el dtk-speak.elc voice-setup.elc
emacspeak-buff-menu.elc: emacspeak-buff-menu.el dtk-speak.elc voice-setup.elc
emacspeak-c.elc: emacspeak-c.el dtk-speak.elc voice-setup.elc
emacspeak-cmuscheme.elc: emacspeak-cmuscheme.el dtk-speak.elc voice-setup.elc
emacspeak-calc.elc: emacspeak-calc.el
emacspeak-calculator.elc: emacspeak-calculator.el  dtk-speak.elc voice-setup.elc
emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
emacspeak-cedet.elc: emacspeak-cedet.el dtk-speak.elc voice-setup.elc
emacspeak-checkdoc.elc: emacspeak-checkdoc.el dtk-speak.elc voice-setup.elc
emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
congrats.elc: congrats.el dtk-speak.elc
emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
emacspeak-daisy.elc: emacspeak-daisy.el dtk-speak.elc voice-setup.elc
emacspeak-epub.elc: emacspeak-epub.el dtk-speak.elc voice-setup.elc
emacspeak-damlite.elc: emacspeak-damlite.el dtk-speak.elc voice-setup.elc
emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc
emacspeak-desktop.elc: emacspeak-desktop.el dtk-speak.elc voice-setup.elc
emacspeak-dictation.elc: emacspeak-dictation.el dtk-speak.elc voice-setup.elc
emacspeak-dictionary.elc: emacspeak-dictionary.el dtk-speak.elc voice-setup.elc
emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
emacspeak-dmacro.elc: emacspeak-dmacro.el dtk-speak.elc voice-setup.elc
emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
flite-voices.elc: flite-voices.el
emacspeak-eclim.elc: emacspeak-eclim.el dtk-speak.elc voice-setup.elc
emacspeak-enriched.elc: emacspeak-enriched.el dtk-speak.elc voice-setup.elc
emacspeak-emms.elc: emacspeak-emms.el dtk-speak.elc
emacspeak-entertain.elc: emacspeak-entertain.el dtk-speak.elc voice-setup.elc

=== lisp/g-client/Makefile ===
# $Id: Makefile 4373 2007-02-17 03:59:51Z tv.raman.tv $
# $Author: tv.raman.tv $
# Description:  Makefile for g-client -- An Emacs client for Google services
# Keywords: Emacs, G-CLIENT, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# g-client| T. V. Raman |raman@cs.cornell.edu
# An emacs  interface to Google services |
# $Date: 2007-02-16 19:59:51 -0800 (Fri, 16 Feb 2007) $ |
#  $Revision: 4373 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 2006--2007, T. V. Raman
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make definitions

# what emacs is called on your system
EMACS = emacs
# How to run in batch mode
BATCH = -batch -q -no-site-file  -eval '(setq vc-handled-backends nil)'
DEPS= -l ./g-load-path.el -l ./g-loaddefs.el
COMPILE =  -f batch-byte-compile
OBJECTS= g-auth.elc \
g-app.elc \
g-utils.elc \
g.elc \
gblogger.elc \
org2blogger.elc \
gcal.elc \
gcontacts.elc \
gdocs.elc \
gfeeds.elc \
gnotebook.elc \
gphoto.elc \
gweb.elc \
gmaps.elc \
gtube.elc \
gsheet.elc


all:g-loaddefs.el g-cus-load.el  ${OBJECTS}


# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<

# }}}
# {{{build time target: config

config: g-cus-load.el

force:

g-cus-loads.el: force
g-loaddefs.el: force
	echo ";;;Auto generated" > g-loaddefs.el
	$(EMACS) $(BATCH) -l ./g-autogen.el -f g-autogen-generate-autoloads

g-cus-load.el: force
	$(EMACS) $(BATCH) -l ./g-autogen.el -f g-autogen-custom-make-dependencies "."

# }}}
# {{{  Make rules for the various modules
g-utils.elc: g-utils.el
g-auth.elc: g-auth.el g-utils.elc
g-app.elc: g-auth.elc g-utils.elc g-app.el
g.elc: g.el  g-auth.elc
gfeeds.elc: g-utils.elc gfeeds.el
ghealth.elc: ghealth.el g-app.elc
gsheet.elc: gsheet.el g-app.elc
gweb.elc: gweb.el g-utils.elc
gmaps.elc: gmaps.el g-utils.elc
gcal.elc: gcal.el g-app.elc
gcontacts.elc: gcontacts.el
gdocs.elc: gdocs.el g-app.elc
gnotebook.elc: gnotebook.el g-app.elc
gblogger.elc: gblogger.el g-app.elc 
org2blogger.elc: org2blogger.el gblogger.elc

# }}}
# {{{dist

dist:g-client.tar.bz2

g-client.tar.bz2: 
	rm -f $@
	tar  cfj $@ -X .excludes -C ..  g-client

# }}}
# {{{  user level target-- clean

clean:
	rm -f *.elc   g-cus-loads.el g-loaddefs.el

# }}}
# {{{dev targets:

indent:
	emacs -batch -q -no-site-file -l indent-files.el

# }}}
# {{{ end of file

#local variables:
#major-mode: makefile-mode
#eval:  (fold-set-marks "# {{{" "# }}}")
#fill-column: 90
#folded-file: t
#end:

# }}}

=== servers/linux-espeak/Makefile ===
#$Id: Makefile 6198 2009-08-25 15:19:03Z tv.raman.tv $

INSTALL = install
PREFIX = /usr
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-espeak
TCL_VERSION = 8.4
TCL_INCLUDE= /usr/include/tcl$(TCL_VERSION)
CXXFLAGS+= -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)

LIBS= -ltcl$(TCL_VERSION) -lespeak

TTS=tclespeak.so

all:   $(TTS)

$(TTS): tclespeak.o
	$(CXX) $(LDFLAGS) -shared -o $@ $< $(LIBS)

clean:
	rm -f *.so *.o

install: $(TTS)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) $< $(DESTDIR)$(LIBDIR)

=== servers/linux-outloud/Makefile ===
#$Id: Makefile 7541 2012-03-04 22:31:26Z tv.raman.tv $

INSTALL = install
PREFIX = /usr
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-outloud

TCL_VERSION=8.4
TCL_INCLUDE=/usr/include/tcl$(TCL_VERSION)
#CFLAGS+= -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
CFLAGS+= -m32 -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
CXXFLAGS+= $(CFLAGS)
LIBS= -ltcl$(TCL_VERSION) -lasound -ldl    

all:   atcleci.so

atcleci.so: langswitch.o atcleci.o
	$(CXX) $(LDFLAGS) -m32 -shared -o $@ langswitch.o atcleci.o $(LIBS)

alsaparams: alsaparams.c
	gcc -o alsaparams alsaparams.c -lasound

clean:
	rm -f *.so *.o 

install: atcleci.so
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) $< $(DESTDIR)$(LIBDIR)

=== debian/changelog ===
emacspeak (39.0+dfsg-2) unstable; urgency=medium

  * Update standards to 3.9.5 (no changes needed)
  * Fix dont_use_-q_in_emacspeak.sh.patch thanks Jarek Czekalski.
    (Closes: #730682)

 -- Paul Gevers <elbrus@debian.org>  Sat, 30 Nov 2013 18:16:29 +0100

emacspeak (39.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * Drop support for emacs22 (Closes: #729861)
  * Drop -q and EMACS_UNIBYTE from startup script, thanks Jarek Czekalski.
    (Closes: #730682)
  * Add README.testing to ease group packaging

 -- Paul Gevers <elbrus@debian.org>  Fri, 29 Nov 2013 15:27:46 +0100

emacspeak (38.0+dfsg-2) unstable; urgency=low

  [ Paul Gevers ]
  * emacsen-install
    - remove link to non-existing file
    - /usr/sbin/update-alternatives does not exist
  * Depend on emacs or all versions higher than 21
  * Changed d/rules clean target to also succeed without patches applied
  * Add doc-base files for the user-guide and the httpspeaker documentation
  * Create user-guide and during build
    - Build-Depends-Indep on docbook-utils
  * Concatenate all NEWS-* files as upstream changelog
  * Don't install useless servers/python/README and install-guide

  [ Sergei Golovan ]
  * Replaced the obsolete tcl8.4-dev package by tcl-dev in build-dependencies.
    (Closes: #725290)
  * Blanked TCL_VERSION variable to make sure the default Tcl/Tk version is
    used when building the package.
  * Don't add 8.4 suffix to the tclsh shebangs.

 -- Paul Gevers <elbrus@debian.org>  Sun, 13 Oct 2013 07:56:26 +0200

emacspeak (38.0+dfsg-1) unstable; urgency=low

  * Imported Upstream version 38.0 (Closes: #707487)
  * Repack source due to the non-free license of the documentation
   - Add get-orig-source script and target to d/rules
   - Update watch file (thanks Bart Martens)
  * Change maintainership to a11y team (Closes: #636408)
    - Add Vcs-* fields to d/control
  * Clean up old patch by splitting into separate remaining patches
  * Replace d/rules calls with debhelper files and rewrite d/rules to dh
  * Remove unused files
  * Update (build) dependencies (Closes: #619266)
  * Translations: add Japanese ; thanks victory (Closes: #693340)
  * Fix install script to recompile .el files upon upgrade
  * d/config:
    - add espeak as option
    - don't ask again if port = none
  * Update emacsen-install to recompile newer version upon upgrade
  * Include building of espeak server
  * Link documentation from the doc directory
  * Add Lintian overrides for the relevant items
  * Update default speech server to build in espeak
  * Build espeak server and create emacspeak-espeak-server package
    (Closes: #543920)
  * Convert to short dh()
  * Update of copyright
  * Changed priority to optional
  * Remove conflicts, they are long gone and were never part of a stable
    release
  * Updated standards to 3.9.4 (no further changes needed)

 -- Paul Gevers <elbrus@debian.org>  Wed, 31 Jul 2013 21:22:38 +0200

=== debian/control ===
Source: emacspeak
Section: editors
Priority: optional
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               libespeak-dev,
               po-debconf,
               tcl-dev,
Build-Depends-Indep: docbook-utils,
 python-epydoc,
Standards-Version: 3.9.5
Homepage: http://emacspeak.sf.net
Vcs-browser: http://anonscm.debian.org/git/pkg-a11y/emacspeak.git
Vcs-git: git://anonscm.debian.org/pkg-a11y/emacspeak.git

Package: emacspeak
Architecture: all
Depends: adduser,
         debconf,
         emacs | emacs23 | emacs24,
         make,
         perl,
         tcl,
         tclx8.4,
         ${misc:Depends},
         ${perl:Depends}
Recommends: python, emacspeak-espeak-server
Suggests: eflite, emacspeak-ss, espeak, psgml, w3m-el, xsltproc
Description: speech output interface to Emacs
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package recommends the speech server for the espeak (software) 
 speech synthesizer, so it should work straight away. However it also
 contains the source for speech servers to support the DECtalk Express
 and DECtalk MultiVoice (hardware) speech synthesizers. For other
 synthesizers, look for speech server packages such as emacspeak-ss and
 eflite.

Package: emacspeak-espeak-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: emacspeak
Description: espeak syntesis server for emacspeak
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package includes the speech server for the espeak (software) 
 speech synthesizer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

package=emacspeak
debbase         := $(shell pwd)/debian
debtmp          := $(debbase)/$(package)
eldir		:= usr/share/emacs/site-lisp/$(package)
deblsp          := $(debtmp)/$(eldir)

%:
	dh  $@

override_dh_auto_build-arch:
	$(MAKE) TCL_VERSION="" --directory servers/linux-espeak

override_dh_auto_build-indep:
	echo $(shell dpkg-parsechangelog | grep Version | perl -p -e 's/Version: //') \
		> debian_version

	cd servers/python && epydoc -o httpspeaker-html *.py

# Stupid enough, the output of docbook2html converts entities to iso-8859-1 chars.
# Converting the resulting files to UTF-8 as that seems a better default.
# Probably this can improved with the right call to a proper docbook2html converter
	cd user-guide && docbook2html --nochunks espk-article.sgml && \
		iconv --from-code=iso-8859-1 --to-code=utf-8 espk-article.html > \
		tmp.html && \
		mv tmp.html espk-article.html

# Upstream doesn't ship a changelog file but NEWS-* basically contain what is needed
# so cat that all together. Not 100% elegant, but it will do for now.
# Note: the loop is to sort 8 and 9 before the rest
	echo > changelog
	for release in 8 9 1 2 3 ; do \
		cat etc/NEWS-$${release}* >> changelog ; \
	done
	cat etc/NEWS >> changelog

override_dh_auto_install:
	dh_install

override_dh_auto_clean:
	debconf-updatepo

# Add here commands to clean up after the build process.
# Check /Makefile clean target (but lisp/info is removed so "make clean" in ~/
# doesn't work)
	$(MAKE) --directory lisp clean
	$(MAKE) --directory servers/linux-espeak clean

# the sources included some byte-compiled file by mistake
	find . -name \*.elc -delete
	find . -name \*.pyc -delete
	find . -name \*.pyo -delete
# patches are already applied and don't need to go in
	rm -rf lisp/g-client/patches
# documentation is generated, make sure we don't use the shipped stuff
	rm -rf servers/python/doc
	rm -rf servers/python/httpspeaker-html

	dh_clean 

override_dh_fixperms:
# Only fix the following in the indep case
# scripts and speech servers should be executable
	if [ -d $(deblsp) ] ; then \
		chmod 644 `find $(deblsp) -type f`; \
		chmod 644 $(debtmp)/usr/share/doc/emacspeak/examples/tables.html ; \
		chmod 755 $(deblsp)/etc/*.pl				\
			$(deblsp)/etc/*2html				\
			$(deblsp)/etc/*2text				\
			$(deblsp)/lisp/g-client/python/contacts.py	\
			$(deblsp)/servers/32-outloud			\
			$(deblsp)/servers/dtk-exp			\
			$(deblsp)/servers/dtk-soft			\
			$(deblsp)/servers/espeak			\
			$(deblsp)/servers/outloud			\
			$(deblsp)/servers/python/HTTPSpeaker.py		\
			$(deblsp)/servers/speech-server			\
			$(deblsp)/servers/ssh-dtk-exp   		\
			$(deblsp)/servers/ssh-outloud ;			\
	fi

	dh_fixperms

override_dh_compress:
# FAQ/HELP/NEWS can be called from emacspeak command, don't compress
	dh_compress -XFAQ -XHELP -XNEWS

get-orig-source:
	-uscan --rename --force-download

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
downloadurlmangle=s%.*/([^/]*)/downloads/detail\?name=([^=&]*).*%http://$1.googlecode.com/files/$2%,filenamemangle=s/.*name=([^&]+).*/$1/,\
dversionmangle=s/\+dfsg(\d*)// \
http://code.google.com/p/emacspeak/downloads/list?can=1 .*=emacspeak-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip).* debian debian/get-orig-source.sh
# Bart Martens <bartm@debian.org>  Sat, 19 Jan 2013 13:12:29 +0000

## emacspeak 40.0+dfsg

=== lisp/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 8580 2013-11-25 23:35:01Z tv.raman.tv $
+# $Id: Makefile 8905 2014-03-21 20:42:56Z tv.raman.tv $
 # $Author: tv.raman.tv $
 # Description:  Makefile for Emacspeak
 # Keywords: Emacspeak, Dectalk, Makefile
@@ -99,6 +99,7 @@
 emacspeak-autoload.el \
 emacspeak-aumix.elc \
 emacspeak-babel.elc \
+emacspeak-bbc.elc \
 emacspeak-bbdb.elc \
 emacspeak-bibtex.elc \
 emacspeak-bookmark.elc \
@@ -145,6 +146,7 @@
 emacspeak-eterm.elc \
 emacspeak-eudc.elc \
 emacspeak-facemenu.elc \
+emacspeak-feeds.elc \
 emacspeak-filtertext.elc \
 emacspeak-find-dired.elc \
 emacspeak-ftf.elc \
@@ -312,7 +314,6 @@
 cd-tool.elc: cd-tool.el
 nm.elc: nm.el
 amixer.elc: amixer.el
-shr-url.elc: shr-url.el
 emacspeak-actions.elc: emacspeak-actions.el
 emacspeak-add-log.elc: emacspeak-add-log.el dtk-speak.elc voice-setup.elc
 emacspeak-advice.elc: emacspeak-advice.el dtk-speak.elc voice-setup.elc
@@ -325,6 +326,7 @@
 emacspeak-aumix.elc: emacspeak-aumix.el dtk-speak.elc voice-setup.elc
 emacspeak-autoload.elc: emacspeak-autoload.el
 emacspeak-babel.elc: emacspeak-babel.el dtk-speak.elc voice-setup.elc
+emacspeak-bbc.elc: emacspeak-bbc.el dtk-speak.elc voice-setup.elc
 emacspeak-bbdb.elc: emacspeak-bbdb.el dtk-speak.elc voice-setup.elc
 emacspeak-bibtex.elc: emacspeak-bibtex.el dtk-speak.elc voice-setup.elc
 emacspeak-bookmark.elc: emacspeak-bookmark.el dtk-speak.elc voice-setup.elc
@@ -363,4 +365,3 @@
 emacspeak-eclim.elc: emacspeak-eclim.el dtk-speak.elc voice-setup.elc
 emacspeak-enriched.elc: emacspeak-enriched.el dtk-speak.elc voice-setup.elc
 emacspeak-emms.elc: emacspeak-emms.el dtk-speak.elc
-emacspeak-entertain.elc: emacspeak-entertain.el dtk-speak.elc voice-setup.elc

=== lisp/g-client/Makefile ===
--- 
+++ 
@@ -51,10 +51,11 @@
 gcontacts.elc \
 gdocs.elc \
 gfeeds.elc \
-gnotebook.elc \
+gf.elc \
 gphoto.elc \
 gweb.elc \
 gmaps.elc \
+gm-nnir.elc \
 gtube.elc \
 gsheet.elc
 
@@ -91,7 +92,9 @@
 ghealth.elc: ghealth.el g-app.elc
 gsheet.elc: gsheet.el g-app.elc
 gweb.elc: gweb.el g-utils.elc
+gf.elc: gf.el g-utils.elc
 gmaps.elc: gmaps.el g-utils.elc
+gm-nnir.elc: gm-nnir.el 
 gcal.elc: gcal.el g-app.elc
 gcontacts.elc: gcontacts.el
 gdocs.elc: gdocs.el g-app.elc
@@ -102,9 +105,9 @@
 # }}}
 # {{{dist
 
-dist:g-client.tar.bz2
+dist:../g-client.tar.bz2
 
-g-client.tar.bz2: 
+../g-client.tar.bz2: 
 	rm -f $@
 	tar  cfj $@ -X .excludes -C ..  g-client

=== debian/changelog ===
emacspeak (40.0+dfsg-3) unstable; urgency=medium

  * piuparts.debian.org reports that files are left after purge.
    No longer create /root/.gnupg during installation of the package. This
    is achieved by binding GNUPGHOME to a temporary directory during
    bytecode compilation (implementation in debian/emacsen-install).
  * Strip spurious spaces from this changelog
  * Add d/emacsen-compat to allow emacsen-common to correctly determine
    that emacspeak is an add-on (prevents an error message).

 -- Paul Gevers <elbrus@debian.org>  Tue, 02 Sep 2014 21:25:56 +0200

emacspeak (40.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Revert dependency back to emacs now Debian has emacs24 by default

 -- Paul Gevers <elbrus@debian.org>  Tue, 26 Aug 2014 21:36:45 +0200

emacspeak (40.0+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Version string fixed (Closes: #731820)
    - Refresh patches
  * Strip generated stuff from the source while repacking
  * Prevent privacy breach in documentation (thanks lintian)
  * Improve d/rules line for debian_version file creation
  * Update d/README.testing with content and link to Jarek's Wiki
  * Depends on emacs24* alone as it fails on emacs23. As emacs23 is
    still the default in Debian, upload to experimental for now.

 -- Paul Gevers <elbrus@debian.org>  Fri, 20 Jun 2014 21:29:24 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: adduser,
          debconf,
-         emacs | emacs23 | emacs24,
+         emacs (>=46.0),
          make,
          perl,
          tcl,
